#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PPI
Summary:	PPI - parse and manipulate Perl code non-destructively, without using perl itself
Summary(pl.UTF-8):	PPI - analiza i manipulacja kodem Perla w sposób niedestruktywny, bez użycia Perla jako takiego
Name:		perl-PPI
Version:	1.270
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PPI/%{pdir}-%{version}.tar.gz
# Source0-md5:	af47f2289c880be545b220fa84a4e347
URL:		http://search.cpan.org/dist/PPI/
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.84
BuildRequires:	perl-Class-Inspector >= 1.22
BuildRequires:	perl-Clone >= 0.30
BuildRequires:	perl-Digest-MD5 >= 2.35
BuildRequires:	perl-File-Remove >= 1.42
BuildRequires:	perl-IO-String >= 1.07
BuildRequires:	perl-List-MoreUtils >= 0.16
BuildRequires:	perl-Params-Util >= 1.00
BuildRequires:	perl-Scalar-List-Utils >= 1.20
BuildRequires:	perl-Storable >= 2.17
BuildRequires:	perl-Task-Weaken
BuildRequires:	perl-Test-ClassAPI >= 1.02
BuildRequires:	perl-Test-NoWarnings >= 0.084
BuildRequires:	perl-Test-Object >= 0.07
BuildRequires:	perl-Test-Simple >= 0.86
BuildRequires:	perl-Test-SubCalls >= 1.07
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Clone >= 0.30
Requires:	perl-Digest-MD5 >= 2.35
Requires:	perl-IO-String >= 1.07
Requires:	perl-List-MoreUtils >= 0.16
Requires:	perl-Params-Util >= 1.00
Requires:	perl-Scalar-List-Utils >= 1.20
Requires:	perl-Storable >= 2.17
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautreq	'perl(PPI::.*)'

%description
Technically, PPI is short for Parse::Perl::Isolated. In
acknowledgement that someone may some day come up with a valid
solution for the grammar problem, it was decided to leave the
Parse::Perl namespace free.

The purpose of this parser is not to parse Perl code, but to parse
Perl documents. In most cases, a single file is valid as both. By
treating the problem this way, we can parse a single file containing
Perl source isolated from any other resources, such as the libraries
upon which the code may depend, and without needing to run an instance
of Perl alongside or inside the parser (a possible solution for
Parse::Perl that is investigated from time to time).

%description -l pl.UTF-8
Technicznie PPI to skrót od Parse::Perl::Isolated. Ze świadomością, że
pewnego dnia ktoś może poprawnie rozwiązać problem gramatyki,
zadecydowano o pozostawieniu wolnej przestrzeni nazw Parse::Perl.

Celem tego analizatora nie jest analiza kodu Perla, ale analiza
dokumentów Perla. W większości przypadków jeden plik jest poprawny w
obu zastosowaniach. Traktując problem w ten sposób, można
przeanalizować jeden plik zawierający źródło Perla w odłączeniu od
wszystkich innych zasobów, takich jak biblioteki, na których polega
kod, i bez potrzeby uruchamiania instancji Perla obok lub wewnątrz
analizatora (możliwe rozwiązanie Parse::Perl badane od czasu do
czasu).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--skipdeps

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/PPIx

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/PPI.pm
%{perl_vendorlib}/PPI
%dir %{perl_vendorlib}/PPIx
%{_mandir}/man3/PPI.3pm*
%{_mandir}/man3/PPI::*.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PPI.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 2154bb9
- up to 1.270

* Sun Nov 18 2018 Adam Gołębiowski <adamg@pld-linux.org> 2e5cd99
- updated to 1.224

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> d46bd7b
- updated to 1.220

* Tue May 28 2013 Jan Rękorajski <baggins@pld-linux.org> 9fef1a6
- don't require perl-Scalar-List-Utils, it's in perl-modules
- rel 2

* Sat Mar 05 2011 Caleb Maclennan <caleb@alerque.com> 31af810
- Up to 1.215

* Fri Feb 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 07326e3
- added vendorlib/PPIx dir for PPI extensions

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 6965c55
- updated dependencies

* Sat Nov 13 2010 Caleb Maclennan <caleb@alerque.com> a3c7c9b
- Up to 1.213

* Thu Feb 18 2010 sparky <sparky@pld-linux.org> e15e79b
- BR: perl-File-Remove, perl-Test-NoWarnings

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> 7ec7794
- updated to 1.210

* Fri Sep 11 2009 amateja <amateja@pld-linux.org> 3a20482
- updated to 1.206
- bumped BR and R perl-Scalar-List-Utils to 1.20
- added BR perl-Test-SubCalls

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> cca55dc
- pl fix

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> f5e6992
- up to 1.201

* Mon Mar 26 2007 radek <radek@pld-linux.org> 7511cb1
- release 2

* Mon Mar 26 2007 radek <radek@pld-linux.org> a934ef7
- noautreq PPI::*

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c320447
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 67c1f33
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 1cfe7be
- updated to 1.118, added versioned runtime deps

* Fri May 26 2006 blaass <blaass@pld-linux.org> be8cc68
- up to 1.114

* Mon Feb 13 2006 migo <migo@pld-linux.org> e6d98d4
- up to 1.110

